View Issue Details

IDProjectCategoryView StatusLast Update
0011312ScribusImport / Exportpublic2016-01-27 03:40
Reporterchristoph_s Assigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
Status newResolutionopen 
Product Version1.5.0svn 
Target VersionFixed in Version 
Summary0011312: IDML/INDS/ICML test files
DescriptionThe purpose of this entry is to collect IDML/INDS/ICML test files that will allow the development team to refine the IDML importer.
TagsNo tags attached.
Patch

Relationships

parent of 0011541 closedfschmid Wrong image scaling in imported IDML file 
parent of 0011542 assignedfschmid Issue with table rendering in IDML files 
Not all the children of this issue are yet resolved or closed.

Activities

christoph_s

2013-01-02 07:18

administrator   ~0029575

No idea if it's useful for improvement, but here's a link: http://blogs.adobe.com/indesignsdk/2009/03/validating_idml_based_files.html

printpraxis

2013-05-09 14:27

reporter  

Autowerk Anzeige Klassikertage 2013 A4.idml (92,127 bytes)

Hans-Karl

2013-05-26 08:10

reporter  

Test-1.zip (141,789 bytes)

Hans-Karl

2013-05-26 08:10

reporter  

Test-2.zip (144,987 bytes)

Hans-Karl

2013-05-26 08:22

reporter   ~0030179

I upload 4 files, with PDF results (from InDesign CS5) for each one.
Test-1 & Test-2 are very simple files, Test-3 contain footnote and image frames, Test-4 is double-page with image frames.

From my Fedora, I have this repo for testing, but it's a little outdated : http://spot.fedorapeople.org/scribus-1.5/

Hans-Karl

2013-05-27 17:25

reporter  

Test-3.zip (3,953,903 bytes)

Hans-Karl

2013-05-27 17:25

reporter  

Test-4.zip (3,072,928 bytes)

Hans-Karl

2013-05-27 17:26

reporter   ~0030180

Test-3.zip and Test-4.zip re-upload.

christoph_s

2013-05-28 06:07

administrator   ~0030188

Thank you very much, Hans-Karl. If you have more IDML files for us to throw at Scribus's importer, don't hesitate to upload them here or in separate private bug reports. Two issues that have been unearthed by testing your samples are already resolved.

christoph_s

2013-05-29 05:44

administrator   ~0030195

The file http://openmagazine.opencontent.it/content/download/824/5084/file/IDML-example.zip is not imported correctly. This is becoming obvious even without an included PDF control file (see, e.g., the frames at the end of the document).

christoph_s

2013-05-29 05:49

administrator   ~0030196

Here's a link to a resource kit with graphics and IDML files from a Minnesota state agency: http://www.pca.state.mn.us/index.php/view-document.html?gid=17615 Its size is 35 MB, so I cannot upload it here.

christoph_s

2013-05-29 06:02

administrator   ~0030197

More somehow demanding IDML files are available here: http://www.xlinkdir.com/frxleba/free-beauty-salon-posters-templates All archives are too big to upload to this bug.

Hans-Karl

2013-05-29 18:53

reporter   ~0030199

Last edited: 2013-05-30 08:22

View 2 revisions

Here is a new IDML test file : http://dl.free.fr/jnQsclqcV (with final PDF)

Included :
  38 numbered pages
  4 tables
  1 footnote

Linked :
  25 JPG (low-res) photographs
  5 PDF single page (generated by Illustrator and Inkscape)
  1 PDF double-pages (generated by pdftk via Inkscape)
  1 PDF quadri-pages (generated by AutoCAD)

All these fine things grouped under 3 layers.

Enjoy.

tim_occ

2013-07-24 19:57

reporter  

cocreation.zip (596,907 bytes)

tim_occ

2013-07-24 20:05

reporter   ~0030459

Last edited: 2013-07-24 20:11

View 2 revisions

I have uploaded a new file named "cocreation.zip". The idml file consist only of vector graphics. It contains text, straight lines, contours and a radial gradient.

The file is exported from InDesign CS6.

best regards.

JLuc

2013-08-04 09:57

developer   ~0030493

Hanz Karl : the http://dl.free.fr/jnQsclqcV provided link leads to an empty page. File not there anymore. free only provides limited storage time. Have you uploaded the files in the scribus report ? If not so could you do it, or if very heavy file upload it on a longlasting cloud storage ?

Hans-Karl

2013-08-13 17:25

reporter   ~0030522

Last edited: 2013-08-13 17:30

View 2 revisions

I can't find my old archive. Here is another almost identical.
It's 84 Mo ZIP file : http://zzrtk2.1fichier.com/Test-6.zip
There are some .ai files, I don't know if Scribus 1.5 import them as PDF.

Kunda

2016-01-27 03:40

updater   ~0038454

Hans-Karl, could you please re-upload?

Issue History

Date Modified Username Field Change
2012-12-30 07:26 christoph_s New Issue
2013-01-02 07:18 christoph_s Note Added: 0029575
2013-05-09 14:27 printpraxis File Added: Autowerk Anzeige Klassikertage 2013 A4.idml
2013-05-26 08:10 Hans-Karl File Added: Test-1.zip
2013-05-26 08:10 Hans-Karl File Added: Test-2.zip
2013-05-26 08:11 Hans-Karl File Added: Test-3.zip
2013-05-26 08:15 Hans-Karl File Added: Test-4.zip
2013-05-26 08:22 Hans-Karl Note Added: 0030179
2013-05-27 05:12 christoph_s Relationship added parent of 0011541
2013-05-27 05:12 christoph_s Relationship added parent of 0011542
2013-05-27 17:22 Hans-Karl File Deleted: Test-3.zip
2013-05-27 17:22 Hans-Karl File Deleted: Test-4.zip
2013-05-27 17:25 Hans-Karl File Added: Test-3.zip
2013-05-27 17:25 Hans-Karl File Added: Test-4.zip
2013-05-27 17:26 Hans-Karl Note Added: 0030180
2013-05-28 06:07 christoph_s Note Added: 0030188
2013-05-29 05:44 christoph_s Note Added: 0030195
2013-05-29 05:49 christoph_s Note Added: 0030196
2013-05-29 06:02 christoph_s Note Added: 0030197
2013-05-29 18:53 Hans-Karl Note Added: 0030199
2013-05-30 08:22 Hans-Karl Note Edited: 0030199 View Revisions
2013-07-24 19:57 tim_occ File Added: cocreation.zip
2013-07-24 20:05 tim_occ Note Added: 0030459
2013-07-24 20:11 tim_occ Note Edited: 0030459 View Revisions
2013-08-04 09:57 JLuc Note Added: 0030493
2013-08-13 17:25 Hans-Karl Note Added: 0030522
2013-08-13 17:30 Hans-Karl Note Edited: 0030522 View Revisions
2016-01-27 03:40 Kunda Note Added: 0038454